<?php
session_start();
require_once '../../classes/database.php';
require_once '../../classes/user.php';
require_once '../../classes/AdminDashboard.php';

// Periksa autentikasi
if (!isset($_SESSION['user'])) {
    header('Location: ../auth/login.php');
    exit;
}

// Periksa role admin
if ($_SESSION['user']['role'] !== 'admin') {
    header('Location: ../public/home.php');
    exit;
}

// Dapatkan data untuk dashboard
$dashboard = new AdminDashboard();
$totalUsers = $dashboard->getTotalUsers();
$totalOrders = $dashboard->getTotalOrders();
$totalProducts = $dashboard->getTotalProducts();
$recentUsers = $dashboard->getRecentUsers();
?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Dashboard Admin</title>
    <link href="../../assets/img/Logo_S2R.png" rel="icon">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <link rel="stylesheet" href="../../assets/css/dashboard.css"> <!-- Memanggil file CSS -->
</head>

<body>
    <div class="container mt-5">
        <h1 class="mb-4 text-center">Dashboard Admin</h1>
        <div class="row">
            <!-- Card Users -->
            <div class="col-md-4">
                <div class="card card-users">
                    <div class="card-body">
                        <h5><i class="bi bi-people-fill me-2"></i>Users</h5>
                        <p><?= htmlspecialchars($totalUsers); ?></p>
                    </div>
                </div>
            </div>
            <!-- Card Orders -->
            <div class="col-md-4">
                <div class="card card-orders">
                    <div class="card-body">
                        <h5><i class="bi bi-cart-fill me-2"></i>Orders</h5>
                        <p><?= htmlspecialchars($totalOrders); ?></p>
                    </div>
                </div>
            </div>
            <!-- Card Products -->
            <div class="col-md-4">
                <div class="card card-products">
                    <div class="card-body">
                        <h5><i class="bi bi-box-seam me-2"></i>Products</h5>
                        <p><?= htmlspecialchars($totalProducts); ?></p>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php include('../components/sidebar.php'); ?>
    
    <!-- Tambahkan Bootstrap Icons -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">

</body>

</html>

