<div id="headerCarousel" class="carousel slide" data-bs-ride="carousel">
    <!-- Indicators -->
    <div class="carousel-indicators">
        <button type="button" data-bs-target="#headerCarousel" data-bs-slide-to="0" class="active" aria-current="true" aria-label="Slide 1"></button>
        <button type="button" data-bs-target="#headerCarousel" data-bs-slide-to="1" aria-label="Slide 2"></button>
        <button type="button" data-bs-target="#headerCarousel" data-bs-slide-to="2" aria-label="Slide 3"></button>
    </div>

    <!-- Carousel Items -->
    <div class="carousel-inner">
        <!-- Slide 1: Header Content -->
        <div class="carousel-item active">
            <div class="d-flex align-items-center justify-content-center text-center bg-gradient-blue text-white" style="height: 100vh;">
                <div class="container animate__animated animate__fadeInDown">
                    <h1 class="display-4 text-uppercase fw-bold shadow-text">Selamat Datang di <span class="highlight">S2R Rental</span></h1>
                    <p class="lead mt-3 shadow-text"><strong>Penyewaan Motor Terpercaya dan Terjangkau</strong></p>
                    <a href="#vehicles" class="btn btn-blue-gradient btn-lg mt-4 px-4 py-2 fw-bold">Lihat Kendaraan Kami</a>
                </div>
            </div>
        </div>

        <!-- Slide 2: Informasi Lain -->
        <div class="carousel-item">
            <div class="d-flex align-items-center justify-content-center text-center bg-gradient-blue text-white" style="height: 100vh;">
                <div class="container animate__animated animate__fadeInLeft">
                    <h2 class="fw-bold display-6"><i class="fas fa-motorcycle"></i> Kendaraan Berkualitas</h2>
                    <p class="fs-5">Kami menyediakan berbagai jenis motor yang selalu dalam kondisi prima.</p>
                </div>
            </div>
        </div>

        <!-- Slide 3: Promosi -->
        <div class="carousel-item">
            <div class="d-flex align-items-center justify-content-center text-center bg-gradient-blue text-white" style="height: 100vh;">
                <div class="container animate__animated animate__zoomIn">
                    <h2 class="fw-bold display-6"><i class="fas fa-tag"></i> Dapatkan Harga Terjangkau!!</h2>
                    <p class="fs-5">Dapatkan motor yang anda inginkan dengan harga terjangkau!</p>
                </div>
            </div>
        </div>
    </div>

    <!-- Controls -->
    <button class="carousel-control-prev" type="button" data-bs-target="#headerCarousel" data-bs-slide="prev">
        <span class="carousel-control-prev-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Sebelumnya</span>
    </button>
    <button class="carousel-control-next" type="button" data-bs-target="#headerCarousel" data-bs-slide="next">
        <span class="carousel-control-next-icon" aria-hidden="true"></span>
        <span class="visually-hidden">Selanjutnya</span>
    </button>
</div>

<!-- Tambahkan style -->
<style>
    /* Konsistensi gradasi biru untuk semua slide */
    .bg-gradient-blue {
        background: linear-gradient(135deg, #1e3c72, #2a5298);
    }

    /* Set Carousel height to full screen */
    #headerCarousel {
        height: 100vh;
    }

    .carousel-inner {
        height: 100vh;
    }

    /* Efek bayangan untuk teks */
    .shadow-text {
        text-shadow: 0px 4px 10px rgba(0, 0, 0, 0.4);
    }

    /* Highlight untuk teks penting */
    .highlight {
        color: #4da8da;
        text-shadow: 0px 4px 10px rgba(77, 168, 218, 0.7);
    }

    /* Tombol dengan gradasi biru */
    .btn-blue-gradient {
        background: linear-gradient(to right, #1e3c72, #2a5298);
        color: white;
        border: none;
        transition: all 0.3s ease-in-out;
    }

    .btn-blue-gradient:hover {
        background: linear-gradient(to right, #2a5298, #1e3c72);
        transform: scale(1.05);
    }

    /* Tambahkan lebih banyak elemen dekoratif di setiap slide */
    .carousel-item {
        position: relative;
        overflow: hidden;
    }

    /* Elemen lingkaran besar */
    .carousel-item::before {
        content: '';
        position: absolute;
        width: 250px;
        height: 250px;
        background: rgba(255, 255, 255, 0.2);
        top: -80px;
        left: 10%;
        border-radius: 50%;
        animation: moveBackground 10s linear infinite alternate;
        z-index: 1;
    }

    /* Elemen lingkaran kecil */
    .carousel-item::after {
        content: '';
        position: absolute;
        width: 150px;
        height: 150px;
        background: rgba(77, 168, 218, 0.4);
        bottom: -50px;
        right: 5%;
        border-radius: 50%;
        animation: moveBackground 12s linear infinite alternate;
        z-index: 1;
    }

    /* Elemen garis diagonal */
    .carousel-item .line-diagonal {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background: linear-gradient(to top right, rgba(255, 255, 255, 0.15), rgba(77, 168, 218, 0.3));
        transform: rotate(45deg);
        z-index: 0;
    }

    /* Elemen garis vertikal */
    .carousel-item .line-vertical {
        content: '';
        position: absolute;
        top: 0;
        left: 50%;
        width: 10px;
        height: 100%;
        background: rgba(255, 255, 255, 0.2);
        z-index: 0;
    }

    /* Animasi pergerakan background */
    @keyframes moveBackground {
        0% {
            transform: translate(0, 0);
        }
        100% {
            transform: translate(30px, 30px);
        }
    }
</style>

<!-- Tambahkan animasi dan ikon -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/animate.css/4.1.1/animate.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
