<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Responsive Sidebar</title>
    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css" rel="stylesheet">
    <style>
        /* Tombol Toggle */
        .btn-toggle {
            position: fixed;
            top: 20px;
            left: 20px;
            background-color: #1d3557;
            color: white;
            border: none;
            padding: 10px;
            font-size: 18px;
            border-radius: 50%;
            cursor: pointer;
            z-index: 1000;
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        }

        /* Sidebar Styling */
        .sidebar {
            height: 100vh;
            background: linear-gradient(135deg, #1d3557, #457b9d);
            color: white;
            padding: 20px;
            position: fixed;
            top: 0;
            left: 0;
            overflow-y: auto;
            transition: all 0.3s ease-in-out;
            box-shadow: 4px 0 6px rgba(0, 0, 0, 0.1);
        }

        /* Ukuran Sidebar Default */
        .sidebar {
            width: 280px;
        }

        .sidebar.collapsed {
            width: 70px;
        }

        .sidebar h2 {
            text-align: center;
            margin-bottom: 30px;
            font-size: 24px;
            font-weight: bold;
            letter-spacing: 1px;
            transition: opacity 0.3s;
        }

        .sidebar.collapsed h2 {
            opacity: 0;
            visibility: hidden;
        }

        .sidebar ul {
            list-style: none;
            padding: 0;
        }

        .sidebar ul li {
            margin-bottom: 15px;
        }

        .sidebar ul li a {
            display: flex;
            align-items: center;
            gap: 10px;
            color: white;
            text-decoration: none;
            padding: 10px;
            border-radius: 8px;
            font-size: 16px;
            font-weight: 500;
            transition: all 0.3s ease-in-out;
        }

        .sidebar ul li a:hover {
            background-color: rgba(255, 255, 255, 0.2);
            transform: translateX(10px);
        }

        .sidebar ul li a i {
            font-size: 20px;
        }

        /* Konten Utama */
        .content {
            margin-left: 280px;
            padding: 20px;
            transition: margin-left 0.3s ease-in-out;
        }

        .sidebar.collapsed + .content {
            margin-left: 70px;
        }

        /* Media Queries untuk Responsif */
        @media (max-width: 992px) {
            .sidebar {
                width: 220px;
            }

            .content {
                margin-left: 220px;
            }

            .sidebar.collapsed {
                width: 60px;
            }

            .sidebar.collapsed + .content {
                margin-left: 60px;
            }
        }

        @media (max-width: 768px) {
            .sidebar {
                width: 180px;
            }

            .content {
                margin-left: 180px;
            }

            .sidebar.collapsed {
                width: 50px;
            }

            .sidebar.collapsed + .content {
                margin-left: 50px;
            }
        }

        @media (max-width: 576px) {
            .sidebar {
                width: 100%;
                height: auto;
                position: fixed;
                bottom: 0;
                left: 0;
                flex-direction: row;
                padding: 10px;
                box-shadow: none;
            }

            .sidebar ul {
                display: flex;
                flex-wrap: wrap;
                justify-content: space-around;
            }

            .sidebar ul li {
                margin-bottom: 0;
            }

            .content {
                margin-left: 0;
            }

            .btn-toggle {
                display: none;
            }
        }
    </style>
</head>

<body>
    <!-- Tombol Toggle Sidebar -->
    <button class="btn-toggle" id="toggleSidebar" onclick="toggleSidebar()">
        <i class="fas fa-bars"></i>
    </button>

    <!-- Sidebar -->
    <div class="sidebar" id="sidebar">
        <h2>Admin </h2>
        <ul>
            <li>
                <a href="dashboard.php">
                    <i class="fas fa-home"></i>
                    Dashboard
                </a>
            </li>
            <li>
                <a href="akun.php">
                    <i class="fas fa-user"></i>
                    Users
                </a>
            </li>
            <li>
                <a href="orders.php">
                    <i class="fas fa-clipboard"></i>
                    Data Pesanan
                </a>
            </li>
            <li>
                <a href="riwayat.php">
                    <i class="fas fa-history"></i>
                    Riwayat Pesanan
                </a>
            </li>
            <li>
                <a href="produk.php">
                    <i class="fas fa-box"></i>
                    Data Produk
                </a>
            </li>
            <li>
                <a href="../auth/logout.php">
                    <i class="fas fa-sign-out-alt"></i>
                    Logout
                </a>
            </li>
        </ul>
    </div>

    <script>
        function toggleSidebar() {
            const sidebar = document.getElementById('sidebar');
            sidebar.classList.toggle('collapsed');
        }
    </script>
</body>

</html>
